$(function ($) {
    var timeToSet = '{{ timeToSet|date("H:i") }}';
    var setTimeModal = $("#setTime");
    var timeToSetInput = $('#timeToSet');
    var setTimeConfirmBt = $("#setTimeConfirm");
    var activatedPollingUrl = "{% if activatedList != "" %}{{ path(checkPath,{'mikrotikListId': activatedList }) }}{% endif %}";
    var activatedPoolingRetryTimes = 0;

    $(".internetOn").click(function () {
        setTimeModal.modal('show');
        $("#setTimeConfirm").data("mikrotikListId",$(this).attr("id").substring(11));
        $('#setTimeList').html($(this).data('list-name'));
    });

    setTimeModal.on("shown.bs.modal", function (e) {
        timeToSetInput.focus();
    });

    timeToSetInput.keypress(function (e) {
        if (e.which === 13) {
            e.preventDefault();
            setTimeConfirmBt.click();
        }
    });

    setTimeConfirmBt.click(function () {
        if (timeToSetInput.val() !== "")
            timeToSet = timeToSetInput.val();

        window.location.href = "{{ path(activatePath,{'mikrotikList': '%mikrotikListId'}) }}?timeToSet=".replace("%25mikrotikListId",$(this).data("mikrotikListId")) + timeToSet;
        setTimeModal.modal('hide');
    });


    var activatedPolling = function () {
        $.get(activatedPollingUrl, function (data) {
            if (data.error === undefined && data.on === true && data.activationCompleted === true) {
                window.location.reload();
            }

            if (++activatedPoolingRetryTimes < 10) {
                setTimeout(activatedPolling, 1500);
            }
        });
    };

    if (activatedPollingUrl !== "") {
        setTimeout(activatedPolling, 1500);
    }

    $(document).ajaxError(function (event, jqXHR) {
        if (jqXHR.status === 403 && jqXHR.responseText === "Authentication timeout") {
            window.location.reload();
        }
    });

});
